/**********************************************************************************
 * The Configurator allows to easily edit the TS2PerlMod config.
 * Copyright (C) 2006  Felix Siefert
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 **********************************************************************************/

#ifndef COMMON_H
#define COMMON_H

#include <QWidget>
#include <QSettings>

class QLabel;
class QGroupBox;
class QLabel;
class InputWidget;
class TimeInput;
class QCheckBox;
class QLineEdit;

class Common : public QWidget
{
    Q_OBJECT
    
public:
    Common(QWidget *parent = 0);
    void load(QSettings &settings);
    void save(QSettings &settings);
    
private slots:
    void toggleLogEdit(bool checked);
    void toggleEchoMode(bool checked);
    
private:
    QLabel      *m_description;
    QLabel      *m_version;
    QGroupBox   *m_generalGroup;
    QGroupBox   *m_connectionGroup;
    QGroupBox   *m_loginGroup;
    QLabel      *m_logo;
    
    InputWidget *m_serverAddress;
    InputWidget *m_serverTcp;
    InputWidget *m_serverUdp;
    
    QLabel      *m_loginDescription;
    InputWidget *m_loginUser;
    QLabel      *m_loginPassLabel;
    QLineEdit   *m_loginPass;
    QCheckBox   *m_loginShow;
    
    TimeInput   *m_generalInterval;
    QCheckBox   *m_generalLogging;
    QLineEdit   *m_generalLogfile;
};


#endif /* COMMON_H */
