/**********************************************************************************
 * The Configurator allows to easily edit the TS2PerlMod config.
 * Copyright (C) 2006  Felix Siefert
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 **********************************************************************************/

#ifndef CONFIGURATOR_H
#define CONFIGURATOR_H

#include <QMainWindow>

class QTabWidget;
class QLabel;
class QPushButton;
class Settings;
class Common;
class Features;
class Extendedmsg;
class Badnickname;
class Badchannel;
class Advertmsg;
class Statsmsg;
class Protuser;

class Configurator : public QMainWindow
{
    Q_OBJECT

public:
    Configurator(QWidget *parent = 0);
    
private slots:
    void toggleExtendedmsgTab(bool checked);
    void toggleBadnicknameTab(bool checked);
	void toggleBadchannelTab(bool checked);
    void toggleAdvertmsgTab(bool checked);
    void toggleStatsmsgTab(bool checked);
    void toggleProtuserTab(bool checked);
    void showLoadDialog();
    void showSaveAsDialog();
    void showSaveDialog();

private:
    void save(const QString &filename);
    
    QTabWidget    *m_tabWidget;
    QLabel        *m_copyright;
    QLabel        *m_currentFile;
    QPushButton   *m_loadBtn;
    QPushButton   *m_saveasBtn;
    QPushButton   *m_saveBtn;
    
    Common        *m_commonTab;
    Features      *m_featuresTab;
    Extendedmsg   *m_extendedmsgTab;
    Badnickname   *m_badnicknameTab;
	Badchannel    *m_badchannelTab;
    Advertmsg     *m_advertmsgTab;
    Statsmsg      *m_statsmsgTab;
    Protuser      *m_protuserTab;

};

#endif /* CONFIGURATOR_H */
