/**********************************************************************************
 * The Configurator allows to easily edit the TS2PerlMod config.
 * Copyright (C) 2006  Felix Siefert
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 **********************************************************************************/

#include <QDebug>
#include <QApplication>
#include <QLocale>
#include <QTranslator>

#include "configurator.h"

int main( int argc, char **argv )
{
    QApplication app( argc, argv );
    
    QString locale = QLocale::system().name();
    
    QTranslator translator;
    translator.load(QString("configurator_") + locale, "languages");
    app.installTranslator(&translator);
    
    Configurator configurator;
    configurator.show();
    
    return app.exec();
}
